site_name: IT4Innovations Documentation
theme_dir: 'material'
docs_dir: docs.it4i
site_favicon: img/favicon.ico

extra_css:
   - src/css.css

# Repository
repo_name: sccs/docs.it4i.cz
repo_url: https://code.it4i.cz/sccs/docs.it4i.cz

# Copyright
copyright: Copyright (c) 2017 IT4Innovations__VERSION__

pages:
  - Home: index.md
  - General:
    - Applying for Resources: general/applying-for-resources.md
    - Obtaining Login Credentials: general/obtaining-login-credentials/obtaining-login-credentials.md
    - Certificates FAQ: general/obtaining-login-credentials/certificates-faq.md
    - Accessing the Clusters:
      - OpenSSH Keys (UNIX): general/accessing-the-clusters/shell-access-and-data-transfer/ssh-keys.md
      - PuTTY (Windows): general/accessing-the-clusters/shell-access-and-data-transfer/putty.md
      - X Window System: general/accessing-the-clusters/graphical-user-interface/x-window-system.md
      - VNC: general/accessing-the-clusters/graphical-user-interface/vnc.md
      - VPN Access: general/accessing-the-clusters/vpn-access.md
    - Resource allocation and job execution: general/resource_allocation_and_job_execution.md
  - Salomon Cluster:
    - Introduction: salomon/introduction.md
    - Hardware Overview: salomon/hardware-overview.md
    - Accessing the Cluster: salomon/shell-and-data-access.md
    - Environment and Modules: salomon/environment-and-modules.md
    - Resource Allocation and Job Execution:
      - Resources Allocation Policy: salomon/resources-allocation-policy.md
      - Job Scheduling: salomon/job-priority.md
      - Job Submission and Execution: salomon/job-submission-and-execution.md
      - Capacity Computing: salomon/capacity-computing.md
    - Compute Nodes: salomon/compute-nodes.md
    - Network:
      - InfiniBand Network: salomon/network.md
      - IB Single-Plane Topology: salomon/ib-single-plane-topology.md
      - 7D Enhanced Hypercube: salomon/7d-enhanced-hypercube.md
    - Storage: salomon/storage.md
    - PRACE User Support: salomon/prace.md
  - Anselm Cluster:
    - Introduction: anselm/introduction.md
    - Hardware Overview: anselm/hardware-overview.md
    - Accessing the Cluster: anselm/shell-and-data-access.md
    - Environment and Modules: anselm/environment-and-modules.md
    - Resource Allocation and Job Execution:
      - Resource Allocation Policy: anselm/resources-allocation-policy.md
      - Job Priority: anselm/job-priority.md
      - Job Submission and Execution: anselm/job-submission-and-execution.md
      - Capacity Computing: anselm/capacity-computing.md
    - Compute Nodes: anselm/compute-nodes.md
    - Storage: anselm/storage.md
    - Network: anselm/network.md
    - Remote Visualization: anselm/remote-visualization.md
    - PRACE User Support: anselm/prace.md
  - 'Software':
    - 'Modules':
      - Lmod Environment: software/lmod.md
      - Modules Matrix: modules-matrix.md
      - Available Salomon Modules: modules-salomon.md
      - Available Salomon Modules on UV: modules-salomon-uv.md
      - Available Anselm Modules: modules-anselm.md
    - ISV Licenses: software/isv_licenses.md
    - 'Bioinformatics':
      - Bioinformatics Applications: software/bioinformatics.md
      - 'Omics Master':
        - Overview: software/omics-master/overview.md
        - Diagnostic Component (TEAM): software/omics-master/diagnostic-component-team.md
        - Priorization Component (BiERApp): software/omics-master/priorization-component-bierapp.md
    - 'CAE':
      - 'COMSOL':
        - COMSOL: software/comsol/comsol-multiphysics.md
        - Licensing and Available Versions: software/comsol/licensing-and-available-versions.md
    - 'Chemistry':
      - Molpro: software/chemistry/molpro.md
      - Orca: software/chemistry/orca.md
      - NWChem: software/chemistry/nwchem.md
      - Phono3py: software/chemistry/phono3py.md
    - Compilers: software/compilers.md
    - 'Debuggers':
      - Introduction: software/debuggers/Introduction.md
      - Aislinn: software/debuggers/aislinn.md
      - Allinea Forge (DDT,MAP): software/debuggers/allinea-ddt.md
      - Allinea Performance Reports: software/debuggers/allinea-performance-reports.md
      - CUBE: software/debuggers/cube.md
      - Intel Performance Counter Monitor: software/debuggers/intel-performance-counter-monitor.md
      - Intel VTune Amplifier XE: software/debuggers/intel-vtune-amplifier.md
      - PAPI: software/debuggers/papi.md
      - Scalasca: software/debuggers/scalasca.md
      - Score-P: software/debuggers/score-p.md
      - Total View: software/debuggers/total-view.md
      - Valgrind: software/debuggers/valgrind.md
      - Vampir: software/debuggers/vampir.md
    - 'GPU':
      - NVIDIA CUDA: anselm/software/nvidia-cuda.md
    - 'Intel':
      - 'Intel Suite':
        - Introduction: software/intel-suite/intel-parallel-studio-introduction.md
        - Intel Advisor: software/intel-suite/intel-advisor.md
        - Intel Compilers: software/intel-suite/intel-compilers.md
        - Intel Debugger: software/intel-suite/intel-debugger.md
        - Intel IPP: software/intel-suite/intel-integrated-performance-primitives.md
        - Intel Inspector: software/intel-suite/intel-inspector.md
        - Intel MKL: software/intel-suite/intel-mkl.md
        - Intel TBB: software/intel-suite/intel-tbb.md
        - Intel Trace Analyzer and Collector: software/intel-suite/intel-trace-analyzer-and-collector.md
      - 'Intel Xeon Phi':
        - Intel Xeon Phi Salomon: software/intel-xeon-phi.md
        - Intel Xeon Phi Anselm: software/intel-xeon-phi.anselm.md
    - 'Machine Learning':
      - Introduction: software/machine-learning/introduction.md
      - TensorFlow: software/machine-learning/tensorflow.md
    - 'MPI':
      - Introduction: software/mpi/mpi.md
      - MPI4Py (MPI for Python): software/mpi/mpi4py-mpi-for-python.md
      - Running Open MPI: software/mpi/Running_OpenMPI.md
      - Running MPICH2: software/mpi/running-mpich2.md
    - 'Numerical Languages':
      - Introduction: software/numerical-languages/introduction.md
      - Clp: salomon/software/numerical-libraries/Clp.md
      - R: software/numerical-languages/r.md
      - Matlab: software/numerical-languages/matlab.md
      - Matlab 2013-2014: software/numerical-languages/matlab_1314.md
      - Octave: software/numerical-languages/octave.md
      - OpenCoarrays: software/numerical-languages/opencoarrays.md
    - 'Numerical Libraries':
      - FFTW: software/numerical-libraries/fftw.md
      - GSL: software/numerical-libraries/gsl.md
      - HDF5: software/numerical-libraries/hdf5.md
      - Intel Numerical Libraries: software/numerical-libraries/intel-numerical-libraries.md
      - MAGMA for Intel Xeon Phi: software/numerical-libraries/magma-for-intel-xeon-phi.md
      - PETSc: software/numerical-libraries/petsc.md
      - Trilinos: software/numerical-libraries/trilinos.md
    - 'Languages':
      - Java: software/lang/java.md
      - C#: software/lang/csc.md
      - Python: software/lang/python.md
      - Python-Conda: software/lang/conda.md
    - 'Phys':
      - LMGC90: salomon/software/phys/LMGC90.md
    - 'Tools':
      - 'ANSYS':
        - Introduction: software/tools/ansys/ansys.md
        - ANSYS CFX: software/tools/ansys/ansys-cfx.md
        - ANSYS Fluent: software/tools/ansys/ansys-fluent.md
        - ANSYS LS-DYNA: software/tools/ansys/ansys-ls-dyna.md
        - ANSYS MAPDL: software/tools/ansys/ansys-mechanical-apdl.md
        - LS-DYNA: software/tools/ansys/ls-dyna.md
        - Workbench: software/tools/ansys/workbench.md
        - Setting License Preferences: software/tools/ansys/licensing.md
        - Licensing and Available Versions: software/tools/ansys/setting-license-preferences.md
      - EasyBuild: software/tools/easybuild.md
      - Singularity Container: software/tools/singularity.md
      - Spack: software/tools/spack.md
      - Virtualization: software/tools/virtualization.md
    - 'Visualisation':
      - GPI-2: software/gpi2.md
      - OpenFOAM: software/openfoam.md
      - ParaView: software/paraview.md
  - PBS Pro Documentation: pbspro.md

extra:
  repo_icon: gitlab
  palette:
    primary: 'grey'
    accent: 'yellow'
  font:
    text: 'Ubuntu'
    code: 'Ubuntu Mono'
  i18n:
    prev: 'Previous'
    next: 'Next'
  social:
    - type: 'gitlab'
      link: 'https://code.it4i.cz/sccs/docs.it4i.cz'
    - type: globe
      link: https://www.it4i.cz

markdown_extensions:
  - codehilite
  - markdown.extensions.admonition:
  - pymdownx.arithmatex:
  - markdown.extensions.toc:
      slugify: !!python/name:pymdownx.slugs.uslugify
      permalink: 
  - pymdownx.snippets:
      base_path: docs.it4i/snippets

google_analytics:
  - 'UA-90498826-1'
  - 'auto'
